> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to get all lists

> How to get all lists via web service APIs

To get all available lists, use the `Lists` keyword.

<Tabs>
  <Tab title="RESTful REST API">
    ```http theme={null}
    GET https://{{env}}.superoffice.com/{{tenant}}/api/v1/List
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    ```
  </Tab>

  <Tab title="HTTP RPC Agent API">
    Ironically, it's not possible to get all lists from the List endpoint. Use the MDO endpoint to get all built-in and user-defined lists.

    This has some limitations in that the results do not specify if the list uses Groups and Headings. For that, use the RESTful REST List endpoint.

    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/MDO/GetList HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json; charset=utf-8

    {
      "Name": "Lists",
      "ForceFlatList": false,
      "AdditionalInfo": "",
      "OnlyHistory": false
    }
    ```
  </Tab>

  <Tab title="WebApi Proxy API">
    Ironically, it's not possible to get all lists from the ListAgent. Use the MDO endpoint to get all built-in and user-defined lists.

    This has some limitations in that the results do not specify if the list uses Groups and Headings. For that, use the RESTful REST List endpoint.

    ```csharp theme={null}
    var config = new WebApiOptions(tenant.WebApiUrl);
    config.Authorization = new AuthorizationAccessToken("8A:Cust12345.Example-Token", OnlineEnvironment.SOD);
    var mdoAgent = new MDOAgent(config);

    var allLists = mdoAgent.GetSimpleListAsync("lists").Result;
    ```
  </Tab>
</Tabs>

[Back](./index)


## Related topics

- [How to get all list items](/en/api/lists/services/how-to/get-list-items.md)
- [How to list all selected interests for a contact (services)](/en/api/web-services/howto/company/get-interests-for-contact-services.md)
- [How to get all user-defined fields using the web services API](/en/api/web-services/howto/custom-objects/rest-get-all-udef-fields.md)
- [How to get list entity by name](/en/api/lists/services/how-to/get-list-entity.md)
- [How to get a specific list item](/en/api/lists/services/how-to/get-list-item.md)
- [How to get a list of invitations (services)](/en/api/web-services/howto/diary/get-invitations-services.md)
